package main

import "time"

type Aplus struct {
	URL string `json:"url"`
}

type CanvasCourse struct {
	ID                               uint64       `json:"id"`
	Name                             string       `json:"name"`
	AccountID                        uint64       `json:"account_id"`
	UUID                             string       `json:"uuid"`
	StartAt                          *time.Time   `json:"start_at,omitempty"`
	GradingStandardID                *uint64      `json:"grading_standard_id,omitempty"`
	IsPublic                         bool         `json:"is_public"`
	CreatedAt                        time.Time    `json:"created_at"`
	CourseCode                       string       `json:"course_code"`
	DefaultView                      string       `json:"default_view"`
	RootAccountID                    uint64       `json:"root_account_id"`
	EnrollmentTermID                 uint64       `json:"enrollment_term_id"`
	License                          string       `json:"license"`
	GradePassbackSetting             *string      `json:"grade_passback_setting,omitempty"`
	EndAt                            *time.Time   `json:"end_at,omitempty"`
	PublicSyllabus                   bool         `json:"public_syllabus"`
	PublicSyllabusToAuth             bool         `json:"public_syllabus_to_auth"`
	StorageQuotaMB                   uint64       `json:"storage_quota_mb"`
	IsPublicToAuthUsers              bool         `json:"is_public_to_auth_users"`
	HomeroomCourse                   bool         `json:"homeroom_course"`
	CourseColor                      *string      `json:"course_color,omitempty"`
	FriendlyName                     *string      `json:"friendly_name,omitempty"`
	ApplyAssignmentGroupWeights      bool         `json:"apply_assignment_group_weights"`
	Locale                           string       `json:"locale"`
	Calendar                         Calendar     `json:"calendar"`
	TimeZone                         string       `json:"time_zone"`
	Blueprint                        bool         `json:"blueprint"`
	Template                         bool         `json:"template"`
	Enrollments                      []Enrollment `json:"enrollments"`
	HideFinalGrades                  bool         `json:"hide_final_grades"`
	WorkflowState                    string       `json:"workflow_state"`
	RestrictEnrollmentsToCourseDates bool         `json:"restrict_enrollments_to_course_dates"`
	OverriddenCourseVisibility       string       `json:"overridden_course_visibility"`
}

type Calendar struct {
	Ics string `json:"ics"`
}

type Enrollment struct {
	Type                           string `json:"type_"`
	Role                           string `json:"role"`
	RoleID                         uint64 `json:"role_id"`
	UserID                         uint64 `json:"user_id"`
	EnrollmentState                string `json:"enrollment_state"`
	LimitPrivilegesToCourseSection bool   `json:"limit_privileges_to_course_section"`
}

type ExternalTool struct {
	ID     int    `json:"id"`
	URL    string `json:"url"`
	Status string `json:"status"`
}
